Skip to main content
GET
/
subscriptions
/
List Subscriptions
curl --request GET \
  --url https://sandboxapi.kelviq.com/api/v1/subscriptions/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandboxapi.kelviq.com/api/v1/subscriptions/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandboxapi.kelviq.com/api/v1/subscriptions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "09d706ca-58f3-4fb2-818f-5b8623d67e6e",
      "externalSubscriptionId": "sub_1RpoZoSBstCzyocS7iPmith3",
      "startDate": "2025-07-28",
      "endDate": null,
      "billingPeriodStartTime": "2025-07-28T10:46:34Z",
      "billingPeriodEndTime": "2025-08-28T10:46:34Z",
      "amount": "261.00",
      "recurrence": "month",
      "currency": "usd",
      "status": "active",
      "product": "Aphelo",
      "plan": {
        "name": "Premium",
        "identifier": "premium1"
      },
      "features": [
        {
          "id": "b417ae2f-35e2-48f2-a5c4-fdaa99b2b96a",
          "identifier": "products",
          "name": "Products",
          "description": "",
          "featureType": "CUSTOMIZABLE",
          "details": {},
          "isArchived": false,
          "metadata": {},
          "modifiedOn": "2025-06-14T11:36:26.062491Z",
          "meter": {},
          "featureDetails": {
            "units": {
              "plural": "counts",
              "singular": "count"
            }
          },
          "reset": null,
          "resetTime": null,
          "value": 100,
          "hardLimit": false
        }
      ],
      "trialDaysRemaining": 0,
      "customerId": "testuser",
      "billingType": "SUBSCRIPTION",
      "recurrenceUnit": 1,
      "recurrenceType": "MONTH"
    }
  ]
}
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Query Parameters

customer_id
string

The client-defined unique identifier for the customer to filter subscriptions.

page_size
integer

Number of results to return per page.

page
integer

The initial index from which to return the results.

Response

200 - application/json

A paginated list of subscriptions.

count
integer
next
string<uri> | null
previous
string<uri> | null
results
object[]